import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ReviewGui extends JFrame implements ActionListener 
{
    private ColorPanel cPanel;
    private SizePanel sPanel;
    private CirclePanel cirPanel;

    public ReviewGui ()
    {
        this.cPanel = new ColorPanel(this);
        this.sPanel = new SizePanel(this);
        this.cirPanel = new CirclePanel(this);
        this.getContentPane().setLayout(new BorderLayout());
        this.getContentPane().add(cPanel,BorderLayout.NORTH);
        this.getContentPane().add(sPanel,BorderLayout.EAST);
        this.getContentPane().add(cirPanel,BorderLayout.CENTER);
        this.cPanel.getRedButton().addActionListener(this);
        this.cPanel.getBlueButton().addActionListener(this);
        this.cPanel.getYellowButton().addActionListener(this);
        this.sPanel.getDecreaseButton().addActionListener(this);
        this.sPanel.getIncreaseButton().addActionListener(this);

        this.setVisible(true);
        this.pack();
        
    }

    public void actionPerformed(ActionEvent e)
    {
        
    if (e.getActionCommand().equals("Red"))
    {
        this.cirPanel.setColor(Color.RED);
    }
    else if (e.getActionCommand().equals("Blue"))
    {
        this.cirPanel.setColor(Color.BLUE);
    }
    else if (e.getActionCommand().equals("Yellow"))
    {
        this.cirPanel.setColor(Color.YELLOW);
    }
    else if (e.getActionCommand().equals("Increase"))
    {
        this.cirPanel.setDiameter(this.cirPanel.getDiameter() + 5);
    }
    else if (e.getActionCommand().equals("Decrease"))
    {
        this.cirPanel.setDiameter(this.cirPanel.getDiameter() - 5);
    }
    
    this.cirPanel.repaint();
    
    }
    
    public static void main (String[] args)
    {
        ReviewGui r = new ReviewGui();
    }
    
}
